<template>
  <v-container>
    <FilePond
      ref="filepondCSV"
      max-files="1"
      allow-multiple="false"
      accepted-file-types="
                      application/vnd.ms-excel,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      text/csv
                    "
      :label-idle="$t('uploadfile')"
      @updatefiles="updateFiles"
    />
    <v-btn @click="uploadData"> Cargar Datos </v-btn>
  </v-container>
</template>

<script>
import vueFilePond from 'vue-filepond'
import FilePondPluginFileValidateType from 'filepond-plugin-file-validate-type/dist/filepond-plugin-file-validate-type.esm.js'
import { setCatalogs } from '../../services/Catalogs'
import { FReader } from '~/plugins/fileReader'
import 'filepond/dist/filepond.min.css'

export default {
  components: {
    FilePond: vueFilePond(FilePondPluginFileValidateType),
  },
  data: () => ({
    files: [],
  }),

  methods: {
    updateFiles(files) {
      this.files = files
    },
    async uploadData() {
      try {
        const content = await FReader.readExcel(this.files[0].file)
        await setCatalogs(this.$fire, content, 'activities')
        console.log('Success!')
      } catch (error) {
        console.log(error)
      }
    },
  },
}
</script>

<style></style>
